GFFRecordFilter.SequenceFilter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.gff.GFFRecordFilter.SequenceFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff
Class GFFRecordFilter.SequenceFilter

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.SequenceFilter

All Implemented Interfaces:
  GFFRecordFilter

Enclosing interface:
  GFFRecordFilter

    public static class GFFRecordFilter.SequenceFilter

extends Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts records based upon the sequence name.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.SequenceFilter()`
`GFFRecordFilter.SequenceFilter(String seqName)`

Method Summary
`boolean` | `accept(GFFRecord record)` Return whether or not to accept record.
`String` | `getSeqName()` Retrieve the current sequence name.
`void` | `setSeqName(String seqName)` Set the sequence name to seqName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.SequenceFilter

    public GFFRecordFilter.SequenceFilter()

### GFFRecordFilter.SequenceFilter

    public GFFRecordFilter.SequenceFilter(String seqName)

Method Detail

### getSeqName

    public String getSeqName()

  Retrieve the current sequence name.

  Returns:
    the sequence name String

### setSeqName

    public void setSeqName(String seqName)

  Set the sequence name to seqName.

  Parameters:
    `seqName` - the new sequence name to match

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Parameters:
    `record` - the GFFRecord to filter
  Returns:
    record. getSeqName`()` `==` this.getSeqName`()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD